<template>
  <Transition name="fadeElement" appear>
    <slot></slot>
  </Transition>
</template>

<style>
.fadeElement-move,
.fadeElement-enter-active {
  transition: opacity 750ms ease-in-out;
}

.fadeElement-leave-active {
  transition: opacity 250ms ease-in-out;
}

.fadeElement-enter-from,
.fadeElement-leave-to {
  opacity: 0;
}
</style>
